from setuptools import setup, find_packages

setup(
    name="deploy_box_cli",
    version="0.1.9",
    description="CLI for managing Deploy Box operations",
    author="Jacob Wernke",
    author_email="Wernke.jacob@gmail.com",
    packages=find_packages(),
    install_requires=[
        "requests",
        "pkce",
        "keyring",
        "readchar",
        'arrow==1.3.0',
        'asgiref==3.8.1',
        'binaryornot==0.4.4',
        'cachetools==5.5.2',
        'certifi==2025.1.31',
        'cffi==1.17.1',
        'chardet==5.2.0',
        'charset-normalizer==3.4.1',
        'click==8.1.8',
        'colorama==0.4.6',
        'cookiecutter==2.6.0',
        'cryptography==44.0.2',
        'Django==5.1.6',
        'django-browser-reload==1.18.0',
        'django-environ==0.12.0',
        'django-oauth-toolkit==3.0.1',
        'django-tailwind==3.8.0',
        'django-webpack-loader==3.1.1',
        'djangorestframework==3.15.2',
        'djangorestframework_simplejwt==5.5.0',
        'docker==7.1.0',
        'google-api-core==2.24.2',
        'google-auth==2.38.0',
        'google-cloud-artifact-registry==1.15.1',
        'google-cloud-core==2.4.3',
        'google-cloud-storage==3.1.0',
        'google-crc32c==1.6.0',
        'google-resumable-media==2.7.2',
        'googleapis-common-protos==1.69.1',
        'grpc-google-iam-v1==0.14.1',
        'grpcio==1.71.0',
        'grpcio-status==1.71.0',
        'idna==3.10',
        'jaraco.classes==3.4.0',
        'jaraco.context==6.0.1',
        'jaraco.functools==4.1.0',
        'Jinja2==3.1.5',
        'jwcrypto==1.5.6',
        'keyring==25.6.0',
        'markdown-it-py==3.0.0',
        'MarkupSafe==3.0.2',
        'mdurl==0.1.2',
        'more-itertools==10.6.0',
        'oauthlib==3.2.2',
        'pkce==1.0.3',
        'proto-plus==1.26.1',
        'protobuf==5.29.3',
        'psycopg2==2.9.10',
        'pyasn1==0.6.1',
        'pyasn1_modules==0.4.1',
        'pycparser==2.22',
        'Pygments==2.19.1',
        'PyJWT==2.9.0',
        'python-dateutil==2.9.0.post0',
        'python-dotenv==1.0.1',
        'python-slugify==8.0.4',
        'PyYAML==6.0.2',
        'readchar==4.2.1',
        'requests==2.32.3',
        'rich==13.9.4',
        'rsa==4.9',
        'six==1.17.0',
        'sqlparse==0.5.3',
        'stripe==11.6.0',
        'text-unidecode==1.3',
        'types-python-dateutil==2.9.0.20241206',
        'typing_extensions==4.12.2',
        'tzdata==2025.1',
        'urllib3==2.3.0',
    ],
    entry_points={
        'console_scripts': [
            'deploy-box-cli = deploy_box_cli.cli:main',  # Command to run your CLI
        ],
    },
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
)
